package com.ruoyi.shipping.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 凯和费用协议明细对象 t_ship_deal_item
 * 
 * @author ruoyi
 * @date 2022-01-07
 */
public class TShipDealItem extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long fId;

    /** 订单表主键 */
    @Excel(name = "订单表主键")
    private Long fPid;

    /** 费用id(取费用表的id) */
    @Excel(name = "费用id(取费用表的id)")
    private Long fFeeId;

    /** 费用名称 */
    @Excel(name = "费用名称")
    private String fFeeName;

    /** 计量单位(数据字典)"对应t_unitfees的f_id" */
    @Excel(name = "计量单位(数据字典)")
    private Long fFeeunitId;

    /** 计量单位中文名 */
    @Excel(name = "计量单位中文名")
    private String fFeeunitName;

    /** 单价 */
    @Excel(name = "单价")
    private BigDecimal fPrice;

    public void setfId(Long fId) 
    {
        this.fId = fId;
    }

    public Long getfId() 
    {
        return fId;
    }
    public void setfPid(Long fPid) 
    {
        this.fPid = fPid;
    }

    public Long getfPid() 
    {
        return fPid;
    }
    public void setfFeeId(Long fFeeId) 
    {
        this.fFeeId = fFeeId;
    }

    public Long getfFeeId() 
    {
        return fFeeId;
    }
    public void setfFeeName(String fFeeName) 
    {
        this.fFeeName = fFeeName;
    }

    public String getfFeeName() 
    {
        return fFeeName;
    }
    public void setfFeeunitId(Long fFeeunitId) 
    {
        this.fFeeunitId = fFeeunitId;
    }

    public Long getfFeeunitId() 
    {
        return fFeeunitId;
    }
    public void setfFeeunitName(String fFeeunitName) 
    {
        this.fFeeunitName = fFeeunitName;
    }

    public String getfFeeunitName() 
    {
        return fFeeunitName;
    }
    public void setfPrice(BigDecimal fPrice) 
    {
        this.fPrice = fPrice;
    }

    public BigDecimal getfPrice() 
    {
        return fPrice;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("fId", getfId())
            .append("fPid", getfPid())
            .append("fFeeId", getfFeeId())
            .append("fFeeName", getfFeeName())
            .append("fFeeunitId", getfFeeunitId())
            .append("fFeeunitName", getfFeeunitName())
            .append("fPrice", getfPrice())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
